<?php
/**
 * View¸ActionViewݥ饹
 *
 * Action饹ƤӽФModelνϥǡꡢ
 * ActionForwardǡɽؼ᥽ådisplay()ƤӽФޤݻ롣
 *
 * @author	Mitsuo Fukase <fukase@plum.pala.or.jp>
 * @version	$Id: superActionView.php,v 1.5 2005/02/08 14:09:32 fukasemitsuo Exp $
 * @package  philot
 */

/**
 * superActionView饹
 *
 * @package  philot
 */
class superActionView
{
	/**
	* Ͼ¸
	*
	* @var	array
	* @see	ActionView()
	*/
	var $_action_parameters;

	/**
	* 顼ѽϾ¸
	*
	* @var	array
	* @see	ActionView()
	*/
	var $_action_errors;
	
	/**
	* ǥХե饰
	*
	* @var	boolean
	* @see	ActionView()
	*/
	var $_debug;

	/**
	* ǥХ¸ե̾
	*
	* @var	string
	* @see	ActionView()
	*/
	var $_savefile;
	
	/**
	 * superActionView饹Υ󥹥ȥ饯
	 *
	 * ǥХåѤˡʲΥ⡼ɤѰդƤޤ
	 * ̾ϡsuperActionView()ȤǽʬǤ
	 * <ul>
	 * <li>$debug=true,$save=NULLϤκ(display()᥽åɤƤФ줿ˤˤϡ
	 * ɸϤˡ$_ACTION_PARAMETERSƤϤ롣</li>
	 * <li>$debug=true,$save!=NULLϤκ(display()᥽åɤƤФ줿ˤˤϡ
	 * $saveե̾Ȥߤʤơ$_ACTION_PARAMETERSƤϤ롣</li>
	 * <li>$debug=falseSmartydisplay᥽åɤȤäƽϤ</li>
	 * </ul>
	 *
	 * @access		public
	 * @param		boolean		ǥХåκݤˤϡtrueˡ̾falseʥǥեȡˤꡣ
	 * @param		boolean		ǥХå˥ե˽Ϥˤϡե̾򡢤ʳNULLꡣ
	 */
	function superActionView($debug = false,$save=NULL) {
		$this->_debug		= $debug;
		$this->_savefile	= $save;
		
		$this->clear();
	}

	/**
	 * Υꥢ
	 *
	 * @access		public
	 */
	function clear() {
		$this->_action_parameters = array();
		$this->_action_errors = array();
	}

	/**
	 * ϥǡݻ
	 *
	 * ͤ$nameͤ$valueȤơɲä롣
	 * ˡƱͤϿƤˤϡ񤭤롣
	 *
	 * @access		public
	 * @param		string	ϥǡ̾
	 * @param		string	$nameб
	 */
	function assign($name,$value) {
		$this->_action_parameters[$name] = $value;
	}

	/**
	 * ϥǡͤɲá
	 *
	 * ͤ$nameͤ$valueȤơΥ$name$valueɲä롣
	 * ⤷$key̵ͤС$value򿷵Ͽ롣
	 *
	 * @access		public
	 * @param		string	ϥǡ̾
	 * @param		string	$nameб
	 */
	function append($name,$value) {
		if(isset($this->_action_parameters[$name])) {
			$currentValues = $this->_action_parameters[$name];
		} else {
			$currentValues = array();
		}
		$currentValues[]=$value;
		$this->_action_parameters[$name] = $currentValues;
	}

	/**
	 * 顼åɲá
	 *
	 * 顼åɲä롣
	 *
	 * @access		public
	 * @param		string	顼å
	 */
	function appendErrorMessage($errmesg) {
		$this->_action_errors[] = $errmesg;
	}

	/**
	 * ݻ줿ǡ򡢥ƥץ졼$tplȤɽݥåɡ
	 *
	 * θƽФˤꡢȥ顼ݻƤϥꥢ롣
	 *
	 * @access		public
	 * @param		string	ѥƥץ졼ȡʤǤSmartyѡ
	 * @abstract
	 */
	function display($tpl){
		unset($this->_action_parameters);
		unset($this->_action_errors);
	}

	/**
	 * ActionViewбγĥҤɤȽꡣ
	 *
	 * ƥץ졼ȤбեĥҤˤʤäƤ뤫Ƚꤹݥ᥽åɡ
	 *
	 * @access		public
	 * @param		string		ѥ
	 * @return		integer		0=error,1=template: display()᥽åɤɽǽ,2=others(display()᥽åɤɽԲǽ) without query,3=others with query
	 * @abstract
	 */
	function check($url){
		return -1;
	}
}
?>
